Mandriva Linux Security Advisory : python-numpy (MDVSA-2015:077)

High Nessus Plugin ID 82330


The remote Mandriva Linux host is missing one or more security updates.


Updated python-numpy packages fix security vulnerabilities :

f2py insecurely used a temporary file. A local attacker could use this flaw to perform a symbolic link attack to modify an arbitrary file accessible to the user running f2py (CVE-2014-1858, CVE-2014-1859).


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 82330

File Name: mandriva_MDVSA-2015-077.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2015/03/30

Modified: 2015/03/30

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:python-numpy, p-cpe:/a:mandriva:linux:python-numpy-devel, p-cpe:/a:mandriva:linux:python3-numpy, p-cpe:/a:mandriva:linux:python3-numpy-devel, cpe:/o:mandriva:business_server:2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2015/03/27

Reference Information

CVE: CVE-2014-1858, CVE-2014-1859

MDVSA: 2015:077